/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */


#if defined(HAVE_CONFIG_H)
# include "config.h"
#endif

#include "trace.h"
#include <stdarg.h>
#include <stdio.h>


void
real_trace(const char *fname, char * fmt, ... )
{
  char buf[1024];
  va_list ap;
  va_start (ap, fmt);
#if HAVE_SNPRINTF
  snprintf (buf, 1024, "<%s> %s\n", fname, fmt);
#else
  sprintf (buf, "<%s> %s\n", fname, fmt);
#endif
#if HAVE_VPRINTF
  vprintf (buf, ap);
#else
# if HAVE_DOPRNT
  _doprnt(buf, ap);
# else
  printf(buf);
# endif
#endif
  va_end (ap);
}

