/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __STONAGE_H
#define __STONAGE_H

#if defined(HAVE_CONFIG_H)
# include "config.h"
#endif

/* ******************************************************* */

#ifdef ENABLE_NLS
# include <libintl.h>
# define _(String) gettext (String)
# ifdef gettext_noop
#   define N_(String) gettext_noop (String)
# else
#   define N_(String) (String)
# endif
#else
/* Stubs that do something close enough.  */
#    define textdomain(String) (String)
#    define gettext(String) (String)
#    define dgettext(Domain,Message) (Message)
#    define dcgettext(Domain,Message,Type) (Message)
#    define bindtextdomain(Domain,Directory) (Domain)
#    define _(String) (String)
#    define N_(String) (String)
#endif

/* ******************************************************* */

#include "trace.h"

/* ******************************************************* */

#if defined(HAVE_RANDOM)
# define RANDOM() random()
#elif defined(HAVE_RAND)
# define RANDOM() rand()
#else
# error "Error - no random function available"
#endif

/* ******************************************************* */

#if (SIZEOF_INT == 4)
# define uint32 unsigned int
#elif (SIZEOF_LONG == 4)
# define uint32 unsigned long
#elif (SIZEOF_SHORT == 4)
# define uint32 unsigned short
#else
# define uint32 unsigned
#endif

#if (SIZEOF_SHORT == 2)
#define uint16 unsigned short
#else
# error "CANNOT DETERMINE TYPE FOR INT16"
#endif

#define uint8  unsigned char

/* ******************************************************* */


/* 
 * Common structures
 */

struct  enum_list
{
  char *text;
  unsigned int flags;
};


#endif
